<?php
/**
 # sudoku_ajax.php
 #
 # Sudoku ajax backend:  responds to ajaxrequest and sends a sudoku puzzle
 #
 # @author Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 # @copyright Copyright (C) 2014 Joachim Schmidt. All rights reserved.
 # @license	 http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 #
 # change activity:
 */
$settings = parse_ini_file("sudoku.ini", true);
$valid_languages = $settings['languages'];

$lang = "en";
if (isset($_REQUEST['lang'])) {
    $lang = $_REQUEST['lang'];
    if (strpos($valid_languages, $lang) === false)
        $lang = "en";
}
$text = $settings[$lang];

if (isset($_REQUEST['level']) && is_numeric($_REQUEST['level']))
    $level = $_REQUEST['level'];
else
    $level = "0";

$puzzles = "puzzles.l" . $level;
$max = getAnzSudokus($level);

if (isset($_REQUEST['sudoku']) && is_numeric($_REQUEST['sudoku']))
    $sudokuid = intval($_REQUEST['sudoku']);
else
    $sudokuid = rand(0, $max);

if ($sudokuid < 0 || $sudokuid > $max)
    $sudokuid = rand(0, $max);

echo getSudokuPuzzle($sudokuid, $level);

function getSudokuPuzzle($sudokuid, $level)
{
 	global $text;
    $result = array();
    $string = "level" . $level;
    $result['puzzle_id'] = $sudokuid . " (" . $text[$string] . ")";
    $result['puzzle'] = getSudoku($sudokuid);
    return json_encode($result);
}

function getSudoku($line)
{
    global $puzzles;
    $ls = 82;
    
    $size = filesize($puzzles);
    $lines = $size / $ls;
    if ($line > $lines) {
        $line = $lines - 1;
    }
    
    $handle = fopen($puzzles, "r");
    $pos = $ls * $line;
    fseek($handle, $pos, SEEK_SET);
    $contents = fread($handle, $ls - 1);
    fclose($handle);
    // echo "<br>" . $contents;
    return $contents;
}

function getAnzSudokus($level)
{
    global $puzzles;
    $ls = 82;
    $size = filesize($puzzles);
    $lines = $size / $ls;
    return intval($lines) - 1;
}
?>
